<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMPODETAILEditView9Base from './empodetailedit-view9-base.vue';

import view_form from '@widgets/empodetail/main2-form/main2-form.vue';

/**
 * 采购订单条目
 *
 * @export
 * @class EMPODETAILEditView9
 * @extends {EMPODETAILEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMPODETAILEditView9 extends EMPODETAILEditView9Base { }
</script>